// ---------------------------------------------------------------------------
// - Predsio.hpp                                                             -
// - afnix:sio library - predicates declaration                              -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_PREDSIO_HPP
#define  AFNIX_PREDSIO_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {
  Object* sio_dirp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_filep   (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_termp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_odirp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_inputp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_ifilep  (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_ofilep  (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_itermp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_otermp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* sio_selectp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* sio_outputp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* sio_inpstrp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* sio_inpmapp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* sio_outstrp (Runnable* robj, Nameset* nset, Cons* args); 
}


#endif
